Skip to main content
GET
/
preview
/
marketing-solutions
/
ads
/
{ad-id}
/
product-boost
/preview/marketing-solutions/ads/{ad-id}/product-boost
curl --request GET \
  --url https://api.criteo.com/preview/marketing-solutions/ads/{ad-id}/product-boost \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "adId": "<string>",
        "boostingFactor": 123,
        "modificationDate": "<string>",
        "productSetId": "<string>"
      },
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ad-id
string
required

ID of the ad

Response

200 - application/json

successful operation

A top-level object that encapsulates a Criteo API response for several values.

data
(object | null)[] | null

A top-level object that encapsulates a Criteo API response for a single value.

errors
object[] | null
read-only
warnings
object[] | null
read-only